Index: src/Helpers/helpers.cpp
===================================================================
--- src/Helpers/helpers.cpp	(revision 67acff3b2b5a7a2780e62d6485ef467f15c03a57)
+++ src/Helpers/helpers.cpp	(revision 0d03166b84523d21b5a24e252f06c2d1c8836345)
@@ -27,32 +27,4 @@
 
 
-/** Returns a string with \a i prefixed with 0s to match order of total number of molecules in digits.
- * \param FragmentNumber total number of fragments to determine necessary number of digits
- * \param digits number to create with 0 prefixed
- * \return allocated(!) char array with number in digits, ten base.
- */
-char *FixedDigitNumber(const int FragmentNumber, const int digits)
-{
-  char *returnstring;
-  int number = FragmentNumber;
-  int order = 0;
-  while (number != 0) { // determine number of digits needed
-    number = (int)floor(((double)number / 10.));
-    order++;
-    //Log() << Verbose(0) << "Number is " << number << ", order is " << order << "." << endl;
-  }
-  // allocate string
-  returnstring = new char[order + 2];
-  // terminate  and fill string array from end backward
-  returnstring[order] = '\0';
-  number = digits;
-  for (int i=order;i--;) {
-    returnstring[i] = '0' + (char)(number % 10);
-    number = (int)floor(((double)number / 10.));
-  }
-  //Log() << Verbose(0) << returnstring << endl;
-  return returnstring;
-};
-
 /**
  * Calls exit(255).
Index: src/Helpers/helpers.hpp
===================================================================
--- src/Helpers/helpers.hpp	(revision 67acff3b2b5a7a2780e62d6485ef467f15c03a57)
+++ src/Helpers/helpers.hpp	(revision 0d03166b84523d21b5a24e252f06c2d1c8836345)
@@ -25,5 +25,4 @@
 /********************************************** helpful functions *********************************/
 
-char *FixedDigitNumber(const int FragmentNumber, const int digits);
 void performCriticalExit();
 
Index: src/moleculelist.cpp
===================================================================
--- src/moleculelist.cpp	(revision 67acff3b2b5a7a2780e62d6485ef467f15c03a57)
+++ src/moleculelist.cpp	(revision 0d03166b84523d21b5a24e252f06c2d1c8836345)
@@ -243,4 +243,32 @@
     DoLog(0) && (Log() << Verbose(0) << *ListRunner << "\t");
   DoLog(0) && (Log() << Verbose(0) << endl);
+};
+
+/** Returns a string with \a i prefixed with 0s to match order of total number of molecules in digits.
+ * \param FragmentNumber total number of fragments to determine necessary number of digits
+ * \param digits number to create with 0 prefixed
+ * \return allocated(!) char array with number in digits, ten base.
+ */
+inline char *FixedDigitNumber(const int FragmentNumber, const int digits)
+{
+  char *returnstring;
+  int number = FragmentNumber;
+  int order = 0;
+  while (number != 0) { // determine number of digits needed
+    number = (int)floor(((double)number / 10.));
+    order++;
+    //Log() << Verbose(0) << "Number is " << number << ", order is " << order << "." << endl;
+  }
+  // allocate string
+  returnstring = new char[order + 2];
+  // terminate  and fill string array from end backward
+  returnstring[order] = '\0';
+  number = digits;
+  for (int i=order;i--;) {
+    returnstring[i] = '0' + (char)(number % 10);
+    number = (int)floor(((double)number / 10.));
+  }
+  //Log() << Verbose(0) << returnstring << endl;
+  return returnstring;
 };
 
Index: src/parser.cpp
===================================================================
--- src/parser.cpp	(revision 67acff3b2b5a7a2780e62d6485ef467f15c03a57)
+++ src/parser.cpp	(revision 0d03166b84523d21b5a24e252f06c2d1c8836345)
@@ -61,4 +61,32 @@
   line << argv[1] << FRAGMENTPREFIX << KEYSETFILE;
   return FilePresent(line.str().c_str(), false);
+};
+
+/** Returns a string with \a i prefixed with 0s to match order of total number of molecules in digits.
+ * \param FragmentNumber total number of fragments to determine necessary number of digits
+ * \param digits number to create with 0 prefixed
+ * \return allocated(!) char array with number in digits, ten base.
+ */
+inline char *FixedDigitNumber(const int FragmentNumber, const int digits)
+{
+  char *returnstring;
+  int number = FragmentNumber;
+  int order = 0;
+  while (number != 0) { // determine number of digits needed
+    number = (int)floor(((double)number / 10.));
+    order++;
+    //Log() << Verbose(0) << "Number is " << number << ", order is " << order << "." << endl;
+  }
+  // allocate string
+  returnstring = new char[order + 2];
+  // terminate  and fill string array from end backward
+  returnstring[order] = '\0';
+  number = digits;
+  for (int i=order;i--;) {
+    returnstring[i] = '0' + (char)(number % 10);
+    number = (int)floor(((double)number / 10.));
+  }
+  //Log() << Verbose(0) << returnstring << endl;
+  return returnstring;
 };
 
